if (IGNITION-MSGS_CONFIG_INCLUDED)
  return()
endif()
set(IGNITION-MSGS_CONFIG_INCLUDED TRUE)

list(APPEND IGNITION-MSGS_INCLUDE_DIRS /usr/include)

list(APPEND IGNITION-MSGS_LIBRARY_DIRS /usr/lib/x86_64-linux-gnu)

list(APPEND IGNITION-MSGS_CFLAGS -I/usr/include)

list(APPEND IGNITION-MSGS_CXX_FLAGS -std=c++11)

foreach(lib ignition-msgs)
  set(onelib "${lib}-NOTFOUND")
  find_library(onelib ${lib}
    PATHS /usr/lib/x86_64-linux-gnu
    NO_DEFAULT_PATH
    )
  if(NOT onelib)
    message(FATAL_ERROR "Library '${lib}' in package IGNITION-MSGS is not installed properly")
  endif()
  list(APPEND IGNITION-MSGS_LIBRARIES ${onelib})
endforeach()

foreach(dep Protobuf)
  if(NOT ${dep}_FOUND)
    find_package(${dep} REQUIRED)
  endif()
  string(TOUPPER ${dep} dep_upper)
  list(APPEND IGNITION-MSGS_INCLUDE_DIRS ${${dep_upper}_INCLUDE_DIRS})
  list(APPEND IGNITION-MSGS_LIBRARIES ${${dep_upper}_LIBRARIES})
endforeach()

list(APPEND IGNITION-MSGS_LDFLAGS -L/usr/lib/x86_64-linux-gnu)
